site_name: Trent's Blog
site_description: Trent's blog of mostly technical documentations.
site_url: https://blog.trentsonlinedocs.xyz/

theme:
  name: material
  custom_dir: overrides
  palette:
    scheme: default
    primary: white
  features:
    - navigation.tabs

markdown_extensions:
  - pymdownx.tabbed
  - pymdownx.highlight
  - pymdownx.superfences
  - pymdownx.inlinehilite
  - pymdownx.snippets:
      base_path: 'docs'
  - pymdownx.keys
  - attr_list

nav:
  - Home: index.md
  - RSS:
    - RSS: rss.md
    - RssCreated: /feed_rss_created.xml
    - RssUpdated: /feed_rss_updated.xml
  - Links:
    - Links: links.md
    - TrentReads: https://trentpalmer.org
    - AttentionSpanHistory: https://blog.trentpalmer.org
    - GitHub: https://github.com/TrentSPalmer
    - Twitter: https://twitter.com/boringtrent
    - Facebook: https://www.facebook.com/trentspalmer
    - TrentDocs: https://docs.trentsonlinedocs.xyz/
    - HugoThemesReport: https://trentsonlinedocs.xyz/hugo-themes-report/hugo-themes-report.html
    - LibreGpsParser: https://play.google.com/store/apps/details?id=org.trentpalmer.libre_gps_parser
    - ConcisePDX: https://concise-pdx.com/
    - FreeCodeCampChallenges: https://trentspalmer.github.io/fcc-challenges/
    - DeviceLayout: https://trentpalmer.work/6a57bbe24d8244289610bf57533d6c6f/
  - Posts:
    - posts/trents-favorite-podcasts.md
    - posts/test-qr-svg-django.md
    - posts/prosody-photo-uploads.md
    - posts/xmpp-apt-notifications.md
    - posts/apache-virtual-hosts.md
    - posts/sendxmpp-handler-for-python-logging.md
    - posts/instructions-for-tethering-from-phone.md
    - posts/lmde4-custom-partitions-disk-encryption.md
    - posts/linux-move-cursor-with-keyboard.md
    - posts/simplified-raspberry-streaming.md
    - posts/clear-linux-encrypted-xfs-root.md
    - posts/clear-linux-guest-virt-manager.md
    - posts/faster-partitioning-with-sgdisk.md
    - posts/lmde3-xfs-full-disk-encryption.md
    - posts/rewrite-hugo-themes-report-in-python.md
  - TrentReads: https://trentpalmer.org
  - AttentionSpanHistory: https://blog.trentpalmer.org
  - GitHub: https://github.com/TrentSPalmer
  - Twitter: https://twitter.com/boringtrent
  - Facebook: https://www.facebook.com/trentspalmer
  - TrentDocs: https://docs.trentsonlinedocs.xyz/
  - HugoThemesReport: https://trentsonlinedocs.xyz/hugo-themes-report/hugo-themes-report.html
  - LibreGpsParser: https://play.google.com/store/apps/details?id=org.trentpalmer.libre_gps_parser

extra_css: 
  - extra.css

extra:
  social:
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/boringtrent
      name: trent on twitter
    - icon: fontawesome/brands/facebook
      link: https://www.facebook.com/trentspalmer
      name: trent on facebook
    - icon: fontawesome/brands/github
      link: https://github.com/TrentSPalmer
      name: trent on github
    - icon: fontawesome/solid/rss-square
      link: /rss
      name: rss

plugins:
  - rss:
      match_path: "posts/.*"
  - search
